petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMShellSetGlobalVector

sets a template global vector associated with the DMShell

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetGlobalVector(DM dm,Vec X)

Logically Collective on dm

### Input Arguments

| dm | - shell DM
| X | - template vector

### See Also

DMCreateGlobalVector(), DMShellSetMatrix(), DMShellSetCreateGlobalVector()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c

### Examples

src/snes/examples/tutorials/ex73f90t.F90.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages